Subject: Re: [PATCH] Implement pci_set_dma_mask() in terms of the dma_ops

From: Christoph Hellwig <[email-masked]>
Date: Mon, 17 Dec 2007 11:02:48 +0100

On Mon, Dec 17, 2007 at 05:35:53PM +1100, Michael Ellerman wrote:
> To save adding a hook to the dma mapping ops, pci-set_consistent_dma_mask()
> simply calls the dma_set_mask() hook and then copies the new mask into
> dev.coherenet_dma_mask.

How is this supposed to work?  There are various devices around that
want different mask for coherent vs streaming dma mappings, and we need
to tell the iommu that we're setting it for either the former or the
latter.